package houseexample;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

/**
 * @author delpiano
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class House {

	private final int nb_of_inhibitants;
	private String name;
	private List inhibitants;
	private StringBuffer whiteboard;

	public House(int nb_of_inhibitants) {
		super();
		this.nb_of_inhibitants = nb_of_inhibitants;
		name = "Default In Code House Name";
		inhibitants = new LinkedList();
		whiteboard = new StringBuffer();
	}

	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	public void addInhibitant(Man man) {
		inhibitants.add(man);
	}
	
	public void removeInhibitant(Man man) {
		inhibitants.remove(man);
	}
	
	public Iterator getInhibitants() {
		return inhibitants.iterator();
	}
	
	public void writeOnBoard(String message) {
		whiteboard.append(message);
	}
	
	public String readBoard() {
		return whiteboard.toString();
	}

}
