package org.objectweb.kilim.description;

/**
 * @author horn.
 * This class is a specialization of the generic Trigger class, which corresponds to a bind event.
 */
public class BindTrigger extends Trigger {

	/**
	 * the public constructor for a BindTrigger.
	 * @param aName : name of the trigger.
	 */
	public BindTrigger(String aName) {
		super(aName, Trigger.BIND);
	}
}
